CREATE TABLE "STUDIO" (
    "AZON" INTEGER not null primary key,
    "NEV" VARCHAR(30),
    "HELY" VARCHAR(30)
);

CREATE TABLE "RENDEZO" (
    "ID" INTEGER not null primary key,
    "NEV" VARCHAR(30),
    "SZUL_EV" DATE,
    "STUDIO_AZON" INTEGER CONSTRAINT FK_R_S REFERENCES STUDIO("AZON") ON DELETE CASCADE ON UPDATE RESTRICT
);

CREATE TABLE "FILM" (
    "AZON" INTEGER not null primary key,
    "CIM" VARCHAR(30),
    "RENDEZO_AZON" INTEGER CONSTRAINT FK_S_R REFERENCES RENDEZO("ID") ON DELETE CASCADE ON UPDATE RESTRICT,
    "EV" INTEGER
);

INSERT INTO "STUDIO" VALUES
(0,'HollyWood', 'Los Angeles'),
(1,'HollyWood2', 'Los Angeles'),
(2,'HollyWood3', 'New York');

INSERT INTO "RENDEZO" VALUES
(0,'Michael Anderson', '1920-02-15', 0),
(1,'Robert Altman', '1925-03-03', 0),
(2,'Grigorij Alekszandrov', '1903-11-12', 0),
(3,'Dan Aykroyd ', '1965-12-05', 1),
(4,'Kathryn Bigelow', '1976-07-10', 2);

INSERT INTO "FILM" VALUES
(0,'Million Dollar Baby', 0, 1999),
(1,'Good Bye Lenin!', 0, 1987),
(2,'Kill Bill: Vol. 1', 0, 1987),
(3,'Oldboy', 1, 1976),
(4,'Adaptation', 1, 1978),
(5,'The Pianist', 1,1999),
(6,'Chicago', 2, 1936),
(7,'Gangs of New York', 3, 1934);

select CIM from FILM where EV > 1950;
select CIM from FILM, RENDEZO where FILM.RENDEZO_AZON = RENDEZO.ID and RENDEZO.NEV = 'Michael Anderson';
SELECT nev from RENDEZO, FILM where RENDEZO_AZON = RENDEZO.ID GROUP by NEV having count(FILM.AZON) > 2;
select min(ev) from FILM, RENDEZO, STUDIO where film.RENDEZO_AZON = RENDEZO.ID and RENDEZO.STUDIO_AZON = STUDIO.AZON and STUDIO.NEV = 'HollyWood';

